Bug 1729363 - Installation cannot complete when starting live image from logical volume
Summary: Installation cannot complete when starting live image from logical volume
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 31
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-12 05:38 UTC by Tomas Dabašinskas
Modified: 2019-08-19 03:19 UTC (History)
11 users (show)

Fixed In Version: python-blivet-3.1.5-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-15 09:31:43 UTC


Attachments (Terms of Use)
storage (105.33 KB, text/plain)
2019-07-12 05:38 UTC, Tomas Dabašinskas
no flags Details
installation kickstart (1.76 KB, text/plain)
2019-07-12 05:40 UTC, Tomas Dabašinskas
no flags Details
f29 storage log (137.39 KB, text/plain)
2019-07-12 06:01 UTC, Tomas Dabašinskas
no flags Details
hawkey.log (51 bytes, text/plain)
2019-07-12 11:57 UTC, Tomas Dabašinskas
no flags Details
dbus.log (2.56 KB, text/plain)
2019-07-12 11:58 UTC, Tomas Dabašinskas
no flags Details
proram.log (48.54 KB, text/plain)
2019-07-12 11:58 UTC, Tomas Dabašinskas
no flags Details
packaging.log (4.71 KB, text/plain)
2019-07-12 11:58 UTC, Tomas Dabašinskas
no flags Details
lvm.log (131.86 KB, text/plain)
2019-07-12 11:59 UTC, Tomas Dabašinskas
no flags Details
anaconda.log (13.78 KB, text/plain)
2019-07-12 11:59 UTC, Tomas Dabašinskas
no flags Details
storage.log (105.27 KB, text/plain)
2019-07-12 11:59 UTC, Tomas Dabašinskas
no flags Details
installation kickstart (1.78 KB, text/plain)
2019-07-12 12:00 UTC, Tomas Dabašinskas
no flags Details
/tmp/anaconda-tb-wbj_n_fq (625.45 KB, text/plain)
2019-08-13 12:24 UTC, Tomas Dabašinskas
no flags Details

Description Tomas Dabašinskas 2019-07-12 05:38:54 UTC
Created attachment 1589769 [details]
storage

Description of problem:
I'm getting an error when trying to install fedora from live cd when it's booted from the logical volume that is on the same volume group as install root

Version-Release number of selected component (if applicable):
Any release after fedora 29, verified with: 
 anaconda 30.25.6
 anaconda 31.18

How reproducible:



Steps to Reproduce:
1. copy live image to installed machine partition vg/live
2. Setup grub custom.cfg (can also set root using path vg/live instead of partition label):

menuentry 'Start {{live_fs_label}} Fedora' --class fedora --class gnu-linux --class gnu --class os {
	load_video                                                                      
	set gfx_payload=text                                                           
	insmod gzio 

	search --no-floppy --set=root -l '{{live_fs_label}}'

	linux ($root)/isolinux/vmlinuz0 root=live:LABEL={{live_fs_label}} ro rd.live.image console=ttyS0
	initrd ($root)/isolinux/initrd0.img
}

3. Reboot and start from the local live image
4. Run installation using storage defined in ks (see ks-storage-exist.cfg attached)

Actual results:
Installation fails with:
Traceback (most recent call first):
  File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/storage/osinstall.py", line 274, in _mark_protected_devices
    dev.protected = True
  File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/storage/osinstall.py", line 237, in reset
    self._mark_protected_devices()
  File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/storage/initialization.py", line 223, in _reset_storage
    storage.reset()
  File "/usr/lib64/python3.7/site-packages/pyanaconda/storage/initialization.py", line 149, in reset_storage
    _reset_storage(storage)
  File "/usr/lib64/python3.7/threading.py", line 870, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/threading.py", line 280, in run
    threading.Thread.run(self)
AttributeError: can't set attribute

Expected results:
Installation to complete successfully as in fedora 29

Additional info:
It appears anaconda tries to have access to all partitions, even those that are not defined in kickstrt or set not to auto mount (--mountoptions="defaults,noauto,users). This is not how it worked on fedora 29

Comment 1 Tomas Dabašinskas 2019-07-12 05:40:25 UTC
Created attachment 1589770 [details]
installation kickstart

Comment 2 Tomas Dabašinskas 2019-07-12 06:01:08 UTC
Created attachment 1589774 [details]
f29 storage log

for reference attaching storage log from install using same kickstart, but live image based on f29 with anaconda 29.24.7-2.fc29

Comment 3 Vendula Poncova 2019-07-12 10:07:53 UTC
Please, attach all logs from the installation. You can find them during the installation in /tmp/*log.

Comment 4 Tomas Dabašinskas 2019-07-12 11:57:51 UTC
Created attachment 1589884 [details]
hawkey.log

Comment 5 Tomas Dabašinskas 2019-07-12 11:58:17 UTC
Created attachment 1589885 [details]
dbus.log

Comment 6 Tomas Dabašinskas 2019-07-12 11:58:36 UTC
Created attachment 1589886 [details]
proram.log

Comment 7 Tomas Dabašinskas 2019-07-12 11:58:51 UTC
Created attachment 1589887 [details]
packaging.log

Comment 8 Tomas Dabašinskas 2019-07-12 11:59:13 UTC
Created attachment 1589888 [details]
lvm.log

Comment 9 Tomas Dabašinskas 2019-07-12 11:59:33 UTC
Created attachment 1589889 [details]
anaconda.log

Comment 10 Tomas Dabašinskas 2019-07-12 11:59:52 UTC
Created attachment 1589890 [details]
storage.log

Comment 11 Tomas Dabašinskas 2019-07-12 12:00:22 UTC
Created attachment 1589891 [details]
installation kickstart

Comment 12 Vendula Poncova 2019-07-30 09:12:50 UTC
It is not possible to set the property 'protected' of LVMVolumeGroupDevice. I couldn't figure out why not. Reassigning to blivet.

Comment 13 David Lehman 2019-07-30 16:39:37 UTC
Hmm, apparently it does not inherit the setter from the superclass.

Comment 14 Vojtech Trefny 2019-08-01 10:39:40 UTC
upstream PR: https://github.com/storaged-project/blivet/pull/795

Comment 15 Tomas Dabašinskas 2019-08-13 12:23:50 UTC
I'm using anaconda 30.25.6 and getting a traceback: 
An unknown error has occured, look at the /tmp/anaconda-tb* file(s) for more details

===============================================================================
An unknown error has occurred
===============================================================================
anaconda 30.25.6 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/storage/osinstall.py", line 273, in _mark_protected_devices
    dev.protected = True
  File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/storage/osinstall.py", line 238, in reset
    self._mark_protected_devices()
  File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/storage/initialization.py", line 223, in _reset_storage
    storage.reset()
  File "/usr/lib64/python3.7/site-packages/pyanaconda/storage/initialization.py", line 150, in reset_storage
    _reset_storage(storage)
  File "/usr/lib64/python3.7/threading.py", line 870, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/threading.py", line 280, in run
    threading.Thread.run(self)
AttributeError: can't set attribute


Please see /tmp/anaconda-tb-wbj_n_fq attached

Comment 16 Tomas Dabašinskas 2019-08-13 12:24:43 UTC
Created attachment 1603313 [details]
/tmp/anaconda-tb-wbj_n_fq

Comment 17 Ben Cotton 2019-08-13 17:03:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 18 Ben Cotton 2019-08-13 17:07:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 19 Tomas Dabašinskas 2019-08-19 03:19:38 UTC
Confirming installation works as expected using anaconda 32.1-1.fc32 and python3-blivet-1:3.1.5-1.fc32.noarch, many thanks for fixing this!


Note You need to log in before you can comment on or make changes to this bug.